From 54b22ed40b3b96dcbce8493fe1a1bd3d51703b00 Mon Sep 17 00:00:00 2001
From: Martin Abente <mabente@paraguayeduca.org>
Date: Tue, 13 Jul 2010 16:11:45 -0400
Subject: [PATCH] Rename Register button to re-register
Organization: Paraguay Educa

Jorge Saldivar's patch ported to build py 3xx

Signed-off-by: Martin Abente <mabente@paraguayeduca.org>
---
 src/jarabe/desktop/favoritesview.py |   18 +++++++++++++-----
 1 files changed, 13 insertions(+), 5 deletions(-)

diff --git a/src/jarabe/desktop/favoritesview.py b/src/jarabe/desktop/favoritesview.py
index a311b52..450aab0 100644
--- a/src/jarabe/desktop/favoritesview.py
+++ b/src/jarabe/desktop/favoritesview.py
@@ -328,7 +328,7 @@ class FavoritesView(hippo.Canvas):
             alert.props.title = _('Registration Successful')
             alert.props.msg = _('You are now registered ' \
                                 'with your school server.')
-            self._my_icon.remove_register_menu()
+            self._my_icon.change_register_menu()
             get_journal()._volumes_toolbar.setup_xs_button()
 
         ok_icon = Icon(icon_name='dialog-ok')
@@ -629,11 +629,15 @@ class _MyIcon(MyIcon):
 
         client = gconf.client_get_default()
         backup_url = client.get_string('/desktop/sugar/backup_url')
+
         if not backup_url:
             self._register_menu = MenuItem(_('Register'), 'media-record')
-            self._register_menu.connect('activate', self.__register_activate_cb)
-            palette.menu.append(self._register_menu)
-            self._register_menu.show()
+        else:
+            self._register_menu = MenuItem(_('Register Again'), 'media-record')
+
+        self._register_menu.connect('activate', self.__register_activate_cb)
+        palette.menu.append(self._register_menu)
+        self._register_menu.show()
 
         return palette
 
@@ -643,8 +647,12 @@ class _MyIcon(MyIcon):
     def __register_activate_cb(self, menuitem):
         self.emit('register-activate')
 
-    def remove_register_menu(self):
+    def change_register_menu(self):
         self.palette.menu.remove(self._register_menu)
+        self._register_menu = MenuItem(_('Register Again'), 'media-record')
+        self._register_menu.connect('activate', self.__register_activate_cb)
+        self.palette.menu.append(self._register_menu)
+        self._register_menu.show()
 
 class FavoritesSetting(object):
 
-- 
1.6.0.4

